#include <bits/stdc++.h>

using namespace std;

void subtask1(int n, int k, int x){

    if (x == 1){
        cout<<"-1";
        return;
    }
    if(n == k){
        //novi.push_back(1);
        //novi.push_back(x+1);
       // novi.push_back(x+1);
        cout<<1<<" "<<x+1<<" "<<2*x+1;
        return;

    }
    vector <int> novi;
    novi.push_back(1);
    novi.push_back(x+1);
    novi.push_back(x+1);
    novi.push_back(x+1);

    for(int i = 0; i<n-4; i++){
        novi.push_back(2);
    }

    for(auto i: novi)
        cout<<i<<" ";

}

void subtask2(int n, int k, int x){


    if(n == 4){
        cout<<1<<" "<<x<<" "<<4<<2*x;
        return;
    }
    vector <int> novi;
    novi.push_back(1);

    for(int i = 1; i < n - 2 ; i++){
            novi.push_back(x);
    }
    novi.push_back(x+1);
    novi.push_back(2*x+1);

    for(auto i:novi)
        cout<<i<<" ";

}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, k, x;
    cin>>n>>k>>x;

    if(k == 3){
        subtask1(n,k,x);
    }

    else//(n == k){
        subtask2(n,k,x);
   // }
}